Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs	(revision 4253)
@@ -76,5 +76,5 @@
 
     #region Properties
-    private IClientManager ClientManager {
+    private ISlaveManager ClientManager {
       get {
         try {
@@ -169,5 +169,5 @@
       //adding group
       menuItemDeleteGroup.Click += (s, e) => {
-        IClientManager clientManager = ServiceLocator.GetClientManager();
+        ISlaveManager clientManager = ServiceLocator.GetClientManager();
         if (tvClientControl.SelectedNode != null) {
           Response resp = clientManager.DeleteClientGroup(((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id);
@@ -254,5 +254,5 @@
     /// <param name="clientgroupID">group of clients</param>
     private void ChangeGroup(Dictionary<ClientDto, Guid> clients, Guid clientgroupID) {
-      IClientManager clientManager = ServiceLocator.GetClientManager();
+      ISlaveManager clientManager = ServiceLocator.GetClientManager();
       foreach (KeyValuePair<ClientDto, Guid> client in clients) {
         if (client.Key.Id != Guid.Empty) {
@@ -696,5 +696,5 @@
 
     private void addgroup_addGroupEvent(string name) {
-      IClientManager clientManager = ServiceLocator.GetClientManager();
+      ISlaveManager clientManager = ServiceLocator.GetClientManager();
 
       if (parentgroup != Guid.Empty) {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.Designer.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.Designer.cs	(revision 4253)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Client.Console
+﻿namespace HeuristicLab.Hive.Slave.Console
 {
   partial class Recurrence
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Recurrence.cs	(revision 4253)
@@ -25,5 +25,5 @@
 using HeuristicLab.Hive.Server.ServerConsole;
 
-namespace HeuristicLab.Hive.Client.Console
+namespace HeuristicLab.Hive.Slave.Console
 {
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4253)
@@ -15,6 +15,6 @@
     internal static string Port { get; set; }
 
-    internal static IClientManager GetClientManager() {
-      return GetServerConsoleFacade() as IClientManager;
+    internal static ISlaveManager GetClientManager() {
+      return GetServerConsoleFacade() as ISlaveManager;
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Authorization/HivePermissionManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Authorization/HivePermissionManager.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Authorization/HivePermissionManager.cs	(revision 4253)
@@ -19,5 +19,5 @@
     private IPermissionManager permManager = ServiceLocator.GetPermissionManager();
 
-    private IClientManager clientManager = ServiceLocator.GetClientManager();
+    private ISlaveManager slaveManager = ServiceLocator.GetSlaveManager();
 
     private PermissionCollection permissions = HivePermissions.GetPermissions();
@@ -92,5 +92,5 @@
     private bool CheckPermissionHelper(Guid sessionId, Guid actionId, Guid entityId) {
       if (entityId == Guid.Empty) return true;
-      IList<ClientGroupDto> groups = clientManager.GetAllGroupsOfResource(entityId).Obj;
+      IList<ClientGroupDto> groups = slaveManager.GetAllGroupsOfResource(entityId).Obj;
       foreach (ClientGroupDto group in groups)
         if (CheckPermission(sessionId, actionId, group.Id)) return true;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/DefaultScheduler.cs	(revision 4253)
@@ -24,25 +24,25 @@
     }
 
-    public bool ExistsJobForClient(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
-      List<JobDto> allOfflineJobsForClient =
-        new List<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.Offline, hbData.FreeCores, hbData.FreeMemory, hbData.ClientId));
-      return (allOfflineJobsForClient != null && allOfflineJobsForClient.Count > 0);
+    public bool ExistsJobForSlave(HeuristicLab.Hive.Contracts.BusinessObjects.HeartBeatData hbData) {
+      List<JobDto> allOfflineJobsForSlave =
+        new List<JobDto>(DaoLocator.JobDao.FindFittingJobsForSlave(State.Offline, hbData.FreeCores, hbData.FreeMemory, hbData.SlaveId));
+      return (allOfflineJobsForSlave != null && allOfflineJobsForSlave.Count > 0);
     }
 
-    public HeuristicLab.Hive.Contracts.BusinessObjects.JobDto GetNextJobForClient(Guid clientId) {
+    public HeuristicLab.Hive.Contracts.BusinessObjects.JobDto GetNextJobForSlave(Guid slaveId) {
       /// Critical section ///
       jobLock.WaitOne();
       JobDto jobToCalculate = null;
       using (TransactionScope scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE })) {
-        ClientDto client = DaoLocator.ClientDao.FindById(clientId);
-        LinkedList<JobDto> allOfflineJobsForClient =
-          new LinkedList<JobDto>(DaoLocator.JobDao.FindFittingJobsForClient(State.Offline, client.NrOfFreeCores, client.FreeMemory, client.Id));        
-        if (allOfflineJobsForClient != null && allOfflineJobsForClient.Count > 0) {
-          jobToCalculate = allOfflineJobsForClient.First.Value;
+        ClientDto slave = DaoLocator.ClientDao.FindById(slaveId);
+        LinkedList<JobDto> allOfflineJobsForSlave =
+          new LinkedList<JobDto>(DaoLocator.JobDao.FindFittingJobsForSlave(State.Offline, slave.NrOfFreeCores, slave.FreeMemory, slave.Id));        
+        if (allOfflineJobsForSlave != null && allOfflineJobsForSlave.Count > 0) {
+          jobToCalculate = allOfflineJobsForSlave.First.Value;
           jobToCalculate.State = State.Calculating;
-          jobToCalculate.Client = client;
+          jobToCalculate.Client = slave;
           jobToCalculate.Client.State = State.Calculating;
           jobToCalculate.DateCalculated = DateTime.Now;
-          DaoLocator.JobDao.AssignClientToJob(client.Id, jobToCalculate.Id);
+          DaoLocator.JobDao.AssignSlaveToJob(slave.Id, jobToCalculate.Id);
           DaoLocator.JobDao.Update(jobToCalculate);
           DaoLocator.ClientDao.Update(jobToCalculate.Client);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs	(revision 4253)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Hive.Server.Core {
   public class ServerConsoleFacade : IServerConsoleFacade {
-    private IClientManager clientManager = ServiceLocator.GetClientManager();
+    private ISlaveManager slaveManager = ServiceLocator.GetSlaveManager();
 
     private IJobManager jobManager = ServiceLocator.GetJobManager();
@@ -67,5 +67,5 @@
       using (contextFactory.GetContext(false)) {
         secMan.Authorize("AccessClients", sessionID, Guid.Empty);
-        return clientManager.GetAllClients();
+        return slaveManager.GetAllClients();
       }
     }
@@ -74,5 +74,5 @@
       using (contextFactory.GetContext(false)) {
         //secMan.Authorize("AccessClientGroup", sessionID, Guid.Empty);
-        return clientManager.GetAllClientGroups();
+        return slaveManager.GetAllClientGroups();
       }
     }
@@ -81,5 +81,5 @@
       using (contextFactory.GetContext(false)) {
         secMan.Authorize("AccessStatistics", sessionID, Guid.Empty);
-        return clientManager.GetAllUpTimeStatistics();
+        return slaveManager.GetAllUpTimeStatistics();
       }
     }
@@ -88,5 +88,5 @@
       using (contextFactory.GetContext()) {
         secMan.Authorize("AddClientGroup", sessionID, Guid.Empty);
-        return clientManager.AddClientGroup(clientGroup);
+        return slaveManager.AddClientGroup(clientGroup);
       }
     }
@@ -95,5 +95,5 @@
       using (contextFactory.GetContext()) {
         secMan.Authorize("AddResource", sessionID, Guid.Empty);
-        return clientManager.AddResourceToGroup(clientGroupId, resource);
+        return slaveManager.AddResourceToGroup(clientGroupId, resource);
       }
     }
@@ -101,5 +101,5 @@
     public Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId) {
       using (contextFactory.GetContext()) {
-        return clientManager.DeleteResourceFromGroup(clientGroupId, resourceId);
+        return slaveManager.DeleteResourceFromGroup(clientGroupId, resourceId);
       }
     }
@@ -185,5 +185,5 @@
       using (contextFactory.GetContext(false)) {
         secMan.Authorize("AccessUserGroup", sessionID, Guid.Empty);
-        return clientManager.GetAllGroupsOfResource(resourceId);
+        return slaveManager.GetAllGroupsOfResource(resourceId);
       }
     }
@@ -192,5 +192,5 @@
       using (contextFactory.GetContext()) {
         secMan.Authorize("DeleteClientGroup", sessionID, Guid.Empty);
-        return clientManager.DeleteClientGroup(clientGroupId);
+        return slaveManager.DeleteClientGroup(clientGroupId);
       }
     }
@@ -233,5 +233,5 @@
     public ResponseList<AppointmentDto> GetUptimeCalendarForResource(Guid guid) {
       using (contextFactory.GetContext(false)) {
-        return clientManager.GetUptimeCalendarForResource(guid);
+        return slaveManager.GetUptimeCalendarForResource(guid);
       }
     }
@@ -239,5 +239,5 @@
     public Response SetUptimeCalendarForResource(Guid guid, IEnumerable<AppointmentDto> appointments, bool isForced) {
       using (contextFactory.GetContext()) {
-        return clientManager.SetUptimeCalendarForResource(guid, appointments, isForced);
+        return slaveManager.SetUptimeCalendarForResource(guid, appointments, isForced);
       }
     }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4253)
@@ -0,0 +1,163 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.Interfaces;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Contracts;
+using HeuristicLab.PluginInfrastructure;
+using System.IO;
+using System.Runtime.Serialization.Formatters.Binary;
+using System.ServiceModel;
+using HeuristicLab.Hive.Server.Core.InternalInterfaces;
+using System.Transactions;
+using HeuristicLab.Hive.Server.LINQDataAccess;
+using HeuristicLab.Hive.Server.DataAccess;
+
+namespace HeuristicLab.Hive.Server.Core {
+  [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall, ConcurrencyMode = ConcurrencyMode.Multiple)]
+  public class SlaveFacade : ISlaveFacade {
+
+    public SlaveFacade() {
+    }
+
+    private ISlaveCommunicator slaveCommunicator = ServiceLocator.GetSlaveCommunicator();
+
+    private IContextFactory contextFactory = ServiceLocator.GetContextFactory();
+
+    #region ISlaveCommunicator Members
+
+    public Response Login(ClientDto clientInfo) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.Login(clientInfo);
+      }
+    }
+
+    public ResponseHB ProcessHeartBeat(HeartBeatData hbData) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.ProcessHeartBeat(hbData);
+      }
+    }
+
+    public ResponseJob SendJob(Guid clientId) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.SendJob(clientId);
+      }
+    }
+
+    public ResponseResultReceived StoreFinishedJobResult(Guid clientId, Guid jobId, byte[] result, double percentage, string exception) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.StoreFinishedJobResult(clientId, jobId, result, percentage, exception);
+      }
+    }
+
+    public Response Logout(Guid clientId) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.Logout(clientId);
+      }
+    }
+
+    public Response IsJobStillNeeded(Guid jobId) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.IsJobStillNeeded(jobId); 
+      }
+    }
+
+    public ResponsePlugin SendPlugins(List<HivePluginInfoDto> pluginList) {
+      return slaveCommunicator.SendPlugins(pluginList);      
+    }
+
+    public ResponseResultReceived ProcessSnapshot(Guid clientId, Guid jobId, byte[] result, double percentage, string exception) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.ProcessSnapshot(clientId, jobId, result, percentage, exception); 
+      }
+    }
+
+
+    public ResponseCalendar GetCalendar(Guid clientId) {
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.GetCalendar(clientId); 
+      }
+    }
+
+    public Response SetCalendarStatus(Guid clientId, CalendarState state) { 
+      using (contextFactory.GetContext()) {
+        return slaveCommunicator.SetCalendarStatus(clientId, state);
+      }
+    }
+    #endregion
+
+    #region IClientFacade Members
+
+    /// <summary>
+    /// Do not use automatic transactions here
+    /// </summary>
+    public Stream SendStreamedJob(Guid clientId) {
+      using (contextFactory.GetContext(false)) {
+        MultiStream stream = new MultiStream();
+
+        ResponseJob job = null;
+
+        job = ServiceLocator.GetSlaveCommunicator().SendJob(clientId);
+
+        //first send response
+        stream.AddStream(new StreamedObject<ResponseJob>(job));
+
+        IJobManager jobManager = ServiceLocator.GetJobManager();
+        IInternalJobManager internalJobManager = (IInternalJobManager)jobManager;
+
+        //second stream the job binary data
+        MemoryStream memoryStream = new MemoryStream();
+        if (job.Job != null)
+          stream.AddStream(new MemoryStream(internalJobManager.GetSerializedJobDataById(job.Job.Id)));
+
+        OperationContext clientContext = OperationContext.Current;
+        clientContext.OperationCompleted += new EventHandler(delegate(object sender, EventArgs args) {
+          if (stream != null) {
+            stream.Dispose();
+          }
+        });
+
+        return stream;
+      }
+    }
+
+    public Stream SendStreamedPlugins(List<HivePluginInfoDto> pluginList) {
+      return new StreamedObject<ResponsePlugin>(this.SendPlugins(pluginList));
+    }
+
+    public ResponseResultReceived StoreFinishedJobResultStreamed(Stream stream) {
+      using (contextFactory.GetContext()) {
+        return ((IInternalSlaveCommunicator)slaveCommunicator).ProcessJobResult(stream, true);
+      }
+    }
+
+    public ResponseResultReceived ProcessSnapshotStreamed(Stream stream) {
+      using (contextFactory.GetContext()) {
+        return ((IInternalSlaveCommunicator)slaveCommunicator).ProcessJobResult(stream, false);  
+      }
+    }
+    #endregion
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4253)
@@ -117,7 +117,7 @@
     <Compile Include="Authorization\Policy.cs" />
     <Compile Include="Authorization\PolicyCollection.cs" />
-    <Compile Include="ClientCommunicator.cs" />
-    <Compile Include="Facades\ClientFacade.cs" />
-    <Compile Include="ClientManager.cs" />
+    <Compile Include="SlaveCommunicator.cs" />
+    <Compile Include="Facades\SlaveFacade.cs" />
+    <Compile Include="SlaveManager.cs" />
     <Compile Include="DaoLocator.cs" />
     <Compile Include="DefaultScheduler.cs" />
@@ -127,5 +127,5 @@
     <Compile Include="HiveServerMessages.Designer.cs" />
     <Compile Include="InternalInterfaces\IHivePermissionManager.cs" />
-    <Compile Include="InternalInterfaces\IInternalClientCommunicator.cs" />
+    <Compile Include="InternalInterfaces\IInternalSlaveCommunicator.cs" />
     <Compile Include="InternalInterfaces\IInternalJobManager.cs" />
     <Compile Include="InternalInterfaces\IScheduler.cs" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IInternalSlaveCommunicator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IInternalSlaveCommunicator.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IInternalSlaveCommunicator.cs	(revision 4253)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Contracts;
+using System.IO;
+
+namespace HeuristicLab.Hive.Server.Core.InternalInterfaces {
+  interface IInternalSlaveCommunicator {
+    ResponseResultReceived ProcessJobResult(
+      Stream stream,
+      bool finished);
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IScheduler.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IScheduler.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/InternalInterfaces/IScheduler.cs	(revision 4253)
@@ -28,6 +28,6 @@
 namespace HeuristicLab.Hive.Server.Core.InternalInterfaces {
   public interface IScheduler {
-    bool ExistsJobForClient(HeartBeatData hbData);
-    JobDto GetNextJobForClient(Guid clientId);
+    bool ExistsJobForSlave(HeartBeatData hbData);
+    JobDto GetNextJobForSlave(Guid clientId);
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4253)
@@ -36,9 +36,9 @@
   /// </summary>
   public class ServiceLocator {
-    private static IClientManager clientManager = null;
+    private static ISlaveManager slaveManager = null;
 
     private static IJobManager jobManager = null;
 
-    private static IClientCommunicator clientCommunicator = null;
+    private static ISlaveCommunicator slaveCommunicator = null;
 
     private static ILifecycleManager lifecycleManager = null;
@@ -55,13 +55,13 @@
 
     /// <summary>
-    /// Gets the client manager
+    /// Gets the slave manager
     /// </summary>
     /// <returns></returns>
     [MethodImpl(MethodImplOptions.Synchronized)]
-    public static IClientManager GetClientManager() {
-      if (clientManager == null)
-        clientManager = new ClientManager();
+    public static ISlaveManager GetSlaveManager() {
+      if (slaveManager == null)
+        slaveManager = new SlaveManager();
 
-      return clientManager;
+      return slaveManager;
     }
 
@@ -83,9 +83,9 @@
     /// <returns></returns>
     [MethodImpl(MethodImplOptions.Synchronized)]
-    public static IClientCommunicator GetClientCommunicator() {
-      if (clientCommunicator == null)
-        clientCommunicator = new ClientCommunicator();
+    public static ISlaveCommunicator GetSlaveCommunicator() {
+      if (slaveCommunicator == null)
+        slaveCommunicator = new SlaveCommunicator();
 
-      return clientCommunicator;
+      return slaveCommunicator;
     }
 
